CREATE TABLE doo_message_entities (
    MESSAGE_ENTITY_ID        NUMBER(18, 0),
    MSG_REQUEST_ID           NUMBER(18, 0)    NOT NULL,
    ENTITY_TYPE              VARCHAR2(120)    NOT NULL,
    ENTITY_ID                VARCHAR2(200)    NOT NULL,
    ENTITY_NAME              VARCHAR2(120)    NOT NULL,
    MESSAGE_ID               NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    MESSAGE_ENTITY_ID        NUMBER(18, 0),
    MSG_REQUEST_ID           NUMBER(18, 0)    NOT NULL,
    ENTITY_TYPE              VARCHAR2(120)    NOT NULL,
    ENTITY_ID                VARCHAR2(200)    NOT NULL,
    ENTITY_NAME              VARCHAR2(120)    NOT NULL,
    MESSAGE_ID               NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_doo_message_entities PRIMARY KEY (MESSAGE_ENTITY_ID, MESSAGE_ENTITY_ID)
);
